<?php

namespace App\Entity\Revolt;

use App\Entity\CollectifData\CollectifData;
use Lc\PietroBundle\Repository\Revolt\RevoltRepository;
use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Model\Revolt\Revolt as PietroRevolt;

/**
 * @ORM\Entity(repositoryClass=RevoltRepository::class)
 */
class Revolt extends PietroRevolt
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=CollectifData::class, inversedBy="revolt")
     */
    private $collectifData;

    public function __toString()
    {
        return "Nos révoltes";
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCollectifData(): ?CollectifData
    {
        return $this->collectifData;
    }

    public function setCollectifData(?CollectifData $collectifData): self
    {
        $this->collectifData = $collectifData;

        return $this;
    }
}
